> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel the Order by Id



## OpenAPI

````yaml Wallet put /{walletId}/order/{orderId}/cancel
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /{walletId}/order/{orderId}/cancel:
    put:
      tags:
        - Order
      summary: Cancel the Order by Id
      operationId: OrderController_cancelOrder
      parameters:
        - name: tenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: orderId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        description: Sample Payload
        content:
          application/json:
            schema:
              type: object
              properties:
                payload:
                  type: object
        required: false
      responses:
        '200':
          description: Cancel the Order by Id
      security:
        - default: []
components:
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````